2022-08-11 22:38:40 UTC
48.1 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 5.6% (2.7 MB)
[#001] sha256:4f9a39f2c901b53d3f492284fce6f1e9c4ece8bf134a3405fde8be036d064c21 - 0.0% (1.21 KB)
[#002] sha256:52437e1ee992db5a9e662a93c29ba94d9aef59a94b7404709f61445520737b7e - 94.39% (45.4 MB)
[#003] sha256:16ab659a8d4e0f4630374a5e26ff79ac3c593b90ebba9f6e8f3987cdd7dcd004 - 0.0% (143 Bytes)
[#004] sha256:ad3217697fdc30874e808159dfafe561c84d6e1c42cb4e3e88114ce7ae50c0c1 - 0.0% (154 Bytes)
[#005] sha256:58460d57078da0325b7d9180f62ea2cc40675a6ca77cfe89a9e6563140fd179f - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /
2022-08-09 17:38:47 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-08-11 22:38:22 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.1
2022-08-11 22:38:23 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.1 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-08-11 22:38:24 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-08-11 22:38:25 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-08-11 22:38:32 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-08-11 22:38:32 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-08-11 22:38:33 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-08-11 22:38:34 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-08-11 22:38:35 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-08-11 22:38:36 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-08-11 22:38:37 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-08-11 22:38:39 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-08-11 22:38:39 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-08-11 22:38:40 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-08-11 23:19:39 UTC
49.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 5.47% (2.69 MB)
[#001] sha256:de259a18498920e38f6b3c5a52cd3835155b9beacd4359e6ca7bc54aa96c7550 - 0.0% (1.24 KB)
[#002] sha256:6c82670726cff0388e37da1966a3728989240ecc654396b8a234f02c5ab0ff9f - 94.52% (46.5 MB)
[#003] sha256:4bda0bed668ac480e5b9eb97c621c3de3dd451206413cdfd6c65585c683cd2d5 - 0.0% (174 Bytes)
[#004] sha256:0bc9740bd0ac52b3f3e117d72ba8dcd517105ef79ee58c50ca4b77a916323387 - 0.0% (155 Bytes)
[#005] sha256:16b7bb6706322380a0942501bf98bbae710316c2dfb15fdeb858a69806c0a8bb - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /
2022-08-09 17:20:01 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-08-11 23:19:30 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.1
2022-08-11 23:19:30 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.1 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-08-11 23:19:30 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-08-11 23:19:31 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-08-11 23:19:36 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-08-11 23:19:37 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-08-11 23:19:38 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-08-11 23:19:38 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-08-11 23:19:38 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-08-11 23:19:38 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-08-11 23:19:38 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-08-11 23:19:38 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-08-11 23:19:38 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-08-11 23:19:39 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-08-11 22:49:25 UTC
46.9 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 5.35% (2.51 MB)
[#001] sha256:f6a829e32ad23591f9d39bd236b8923c091ca0bb3a2f273188265ba15c27c6bf - 0.0% (1.24 KB)
[#002] sha256:0a70395a8e0716cbe7723ff8bedcad198a0797a795663e35706882e50638bbb0 - 94.65% (44.4 MB)
[#003] sha256:577dac226ce8cb2c9d853fc2767afaa3b0ccf2346c276bac234255f787f192b2 - 0.0% (175 Bytes)
[#004] sha256:7927ba3f3e9aed82c3ae348f1ec59bdca100cde7af39746ddfa5fa71050e6e90 - 0.0% (154 Bytes)
[#005] sha256:3bfcbc2d77ace20d9f829bb27117d3dce6ab811392c361a950fc5208e6bc0457 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /
2022-08-09 17:49:29 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-08-11 22:49:16 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.1
2022-08-11 22:49:16 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.1 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-08-11 22:49:16 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-08-11 22:49:16 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-08-11 22:49:23 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-08-11 22:49:24 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-08-11 22:49:24 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-08-11 22:49:24 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-08-11 22:49:24 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-08-11 22:49:24 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-08-11 22:49:24 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-08-11 22:49:24 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-08-11 22:49:25 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-08-11 22:49:25 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-08-11 22:52:50 UTC
46.5 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 5.57% (2.59 MB)
[#001] sha256:2536ca403a04548bf065764eb6239c5cd128363ab5d015dcc387bb4764194e2e - 0.0% (1.21 KB)
[#002] sha256:6dce7338760e77513deb98c640aaffcff1bd8ab749205d679a9d17d86abc7db5 - 94.42% (43.9 MB)
[#003] sha256:b8d32d230ac2ed9fc13f3a1bee3e24bfe7dd7e64adb999e92eda4a9cfa347d61 - 0.0% (143 Bytes)
[#004] sha256:5f37d39f0376a55b0681004e9711d1e1305db16ce07fe47e7e07aef2afff2bfc - 0.0% (154 Bytes)
[#005] sha256:bf2aaa794857d67e9eed2dfb35b6bb52f8b6f1e3fbc0f809d7c5f75be937ea1b - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /
2022-08-09 17:39:51 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-08-11 22:52:32 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.1
2022-08-11 22:52:33 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.1 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-08-11 22:52:34 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-08-11 22:52:35 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-08-11 22:52:41 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-08-11 22:52:42 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-08-11 22:52:43 UTC|1 CONSUL_VERSION=1.13.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-08-11 22:52:44 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-08-11 22:52:45 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-08-11 22:52:46 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-08-11 22:52:47 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-08-11 22:52:49 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-08-11 22:52:49 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-08-11 22:52:50 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]